/* Form Reset */
.brxe-filter-checkbox input[type=checkbox] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	box-sizing: border-box;
	cursor: pointer;
	width: 16px;
	height: 16px;
	padding: 0;
	border: 1px solid #00000099;
	border-radius: 4px;
}

input[type="checkbox"]:checked {
	border: none;
	background: #000 url(/wp-content/uploads/2026/01/icon-checked-light.svg) center/16px no-repeat;
}

/* Loading Animation */
.brx-loading-animation {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    background-color: rgba(255, 255, 255, .7);
}

/* Single Product @ Product Gallery */
.woocommerce-product-gallery .flex-direction-nav {
    padding: 0;
    margin: 0;
    list-style: none;
}

.woocommerce-product-gallery .flex-direction-nav .flex-nav-prev,
.woocommerce-product-gallery .flex-direction-nav .flex-nav-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
}

.woocommerce-product-gallery .flex-direction-nav .flex-nav-prev {
    left: 10px;
}

.woocommerce-product-gallery .flex-direction-nav .flex-nav-next {
    right: 10px;
}

.woocommerce-product-gallery .flex-direction-nav a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
	border-radius: 50px;
    font-size: 0;
	background: #fff center/24px no-repeat;
}

.woocommerce-product-gallery .flex-direction-nav .flex-nav-prev a {
	background-image: url(/wp-content/uploads/2026/01/arrow-left-solid-full.svg);
}

.woocommerce-product-gallery .flex-direction-nav .flex-nav-next a {
	background-image: url(/wp-content/uploads/2026/01/arrow-right-solid-full.svg);
}

@media (max-width: 767px) {
	.woocommerce-product-gallery .flex-direction-nav a {
		width: 16px;
    	height: 16px;
		background: #fff center/16px no-repeat;
	}
}

/* Language Switcher */
.pll-switcher-select {
    padding: 0 20px 0 0;
    border: none;
    font-family: 'Chivo';
    font-size: 16px;
    font-weight: 700;
    line-height: normal;
    color: #151515;
    background: none;
}

/* YAY Curency Switcher */
.yay-currency-single-page-switcher {
    margin-bottom: 0 !important;
}

.yay-currency-single-page-switcher .yay-currency-custom-select__trigger {
    height: auto;
    padding: 0;
    border: none;
    border-radius: 0;
}

.yay-currency-single-page-switcher .yay-currency-custom-select.open .yay-currency-custom-select__trigger,
.yay-currency-single-page-switcher .yay-currency-custom-select__trigger:hover {
	border: none;
}

.yay-currency-single-page-switcher .yay-currency-custom-select__trigger .yay-currency-selected-option {
    font-family: 'Chivo';
    font-size: 16px !important;
    font-weight: 700;
	color: #000;
}

.yay-currency-single-page-switcher .yay-currency-custom-arrow .yay-currency-arrow-icon {
	width: 21px;
    height: 21px;
    opacity: 1;
    stroke: #000;
}

.yay-currency-single-page-switcher .yay-currency-custom-arrow {
	width: 21px;
	height: 21px;
}

.yay-currency-single-page-switcher .yay-currency-custom-options .yay-currency-selected-checked-icon {
	display: none !important;
}

/* Woocommerce Checkout */
#brx-content.wordpress {
    padding-top: 40px;
    padding-bottom: 40px;
}

.woocommerce-checkout #brx-content.wordpress h1 {
	font-size: var(--text-32);
	text-transform: uppercase;
}

button.wc-block-components-button.wc-block-components-checkout-place-order-button {
    min-width: 230px;
    font-size: 14px;
    color: #fff;
    background-color: #000;
}